Zonemaster::Engine::Nameserver::Cache::LocalCache(3pm)

NAME
Zonemaster::Engine::Nameserver::LocalCache - local shared caches for nameserver objects

SYNOPSIS
    This class should not be used directly.

ATTRIBUTES
Subclass of Zonemaster::Engine::Nameserver::Cache.

CLASS METHODS

new Construct a new Cache object.

set_key($idx, $packet)
    Store $packet (data) with key $idx.

get_key($idx)
    Retrieve $packet (data) at key $idx.